<template>
  <div class="ui--form-container">
    <sdl-exceldownloadbtn :excelInfo="excelInfo" :btnClass="btnClass" :before-click="beforeClick" /><br />
    <sdl-exceluploadbtn
      :excelInfo="excelUpInfo"
      @after-upload="afterUpload"
      :btnClass="btnClass"
      :before-click="beforeClick"
    />
  </div>
</template>
<script>
import { SDLUtil } from '@/utils';

export default {
  data() {
    return {
      excelInfo: {
        columnInfoFile: 'externalUser',
        fileName: '정externalUser',
        queryId: 'selectUser',
        sheetName: '외부사원',
        useNumberField: 'Y',
        param: { deleted: '0', activeFlag: '1', externalUser: '1' },
      },
      excelUpInfo: {
        columnInfoFile: 'largeExcelupload', // Column Info XML 파일
        queryId: 'selectUser', // 실행할 query Id
        returnPath: '', // 엑셀 저장 후 이동할 페이지 경로('after-upload' event로 대체)
        startRow: 4, // 저장할 데이터의 첫 Row
        useObjectName: 'com.samsung.sample.entity.ExcelTestObject', // 데이터를 처리하기 위한 자바 객체
      },
      btnClass: 'btn btn-secondary',
    };
  },
  methods: {
    beforeClick() {
      return true;
    },
    afterUpload(rtn) {
      console.log(rtn);
      SDLUtil.alert('excel upload 완료. 다음작업 할것');
    },
  },
};
</script>
<style scoped></style>
